This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 183377 - Almost nothing is logged by tomcat due to problems with java.util.logging.LogManager
Almost nothing is logged by tomcat due to problems with java.util.logging.Log...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vivek Lakshmanan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-28 13:20 EST by Miloslav Trmač
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: F-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 11:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2006-02-28 13:20:35 EST
The only log output in /var/log/tomcat5 is:
WARNING: System property "java.util.logging.manager" should be the name of a
subclass of java.util.logging.LogManager
Created MBeanServer with ID: [UID: 291096,1141140478345,-32768]:amilo:1

Moving tomcat-juli.jar away from /usr/share/tomcat5/bin/ avoids the warning
and allows at least something to be logged

Expected results:
Reasonably useful logging by default, comparable with the tomcat 5.0 packages.

Additional info:
Was it really necessary to update to tomcat 5.5 from 5.0 after all test
releases, six days before hard code freeze?
Comment 1 Rafael H. Schloming 2006-03-01 17:34:01 EST
There is an updated rpm in dist-fc5-head with the tomcat-juli.jar removed. This
works around the problem for now. Unfortunately the underlying issue is a buggy
java.util.logging.LogManager implementation in the classpath version used by
gcj, and that will take a bit longer to fix.
Comment 2 Will Woods 2007-03-24 16:07:31 EDT
Does the underlying problem still exist in FC6/rawhide? If so, we should move
the bug there. Otherwise I think this can be closed.
Comment 3 Miloslav Trmač 2007-03-29 14:53:18 EDT
I was too happy to get away from Java programming, I'm afraid I don't have any
recent tomcat installation around.

The spec file still contains the following snippet, though:
# disable the juli log manager until the classpath
# java.util.logging.LogManager is fixed
# XXX: Still not fixed - http://gcc.gnu.org/bugzilla/show_bug.cgi?id=29869
rm -f $RPM_BUILD_ROOT%{bindir}/tomcat-juli.jar
Comment 4 Vivek Lakshmanan 2007-03-29 15:25:56 EDT
PR 29869 is being addressed ATM. But yes, the inclusion of tomcat-juli.jar still
causes a CNFE. I am changing the version for BZ to devel and monitoring activity
on the above PR. Hopefully tomcat-juli.jar can be reinstated soon...
Comment 5 Vivek Lakshmanan 2007-05-18 11:36:43 EDT
I have re-added the tomcat-juli.jar in

$ koji latest-pkg --quiet f7-final tomcat5
tomcat5-5.5.23-9jpp.2.fc7                 f7-final              vivekl

I *believe* this is now fixed. I am closing this bug but re-open if this reappears.

Note You need to log in before you can comment on or make changes to this bug.